package com.care.bms.controller;

import com.care.bms.service.BmsSysUserService;
import com.care.common.annotation.Permission;
import com.care.common.util.Result;
import com.care.common.vo.sysuser.CareSysUserVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @Author: lilt
 * @Date: 2021/5/26
 * @Desc:
 */
@RestController
@Api(value = "StationController", tags = { "后台用户管理" })
@Slf4j
@RequestMapping("/bms/sysuser")
@Permission
public class SysUserController {

    @Autowired
    private BmsSysUserService bmsSysUserService;

    /**
     *服务站下拉列表
     * @param request
     * @return
     */
    @GetMapping("/listKeeper4Select")
    @ApiOperation(tags = {"房屋管理"},value = "某个服务站下的管家下拉列表")
    public Result<List<CareSysUserVO>> listNotHandle(HttpServletRequest request, @RequestHeader(value = "token") String token,
                                                     @RequestParam(name = "stationId") Long stationId){
        try {
            List<CareSysUserVO> datas = this.bmsSysUserService.queryKeeperListByStationId(stationId);
            return Result.success(datas);
        }catch (Exception e) {
            log.error("某个服务站下的管家下拉列表出现异常",e);
            return Result.error( "获取列表失败");
        }
    }

}
