package com.care.client.vo;

import cn.hutool.core.date.DateUtil;
import com.care.common.vo.order.ChamberlainVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: lilt
 * @Date: 2021/5/29
 * @Desc:
 */
@Data
@ApiModel(value = "老人详细信息", description = "老人详细信息响应类")
public class OlderVO {

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;


    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("姓名：M：男 W：女")
    private String gender;


    @ApiModelProperty("生日")
    private Date birthday;


    @ApiModelProperty("居住类别：1：独居 2：非独居 3：集中居住 4：其他")
    private String liveType;


    @ApiModelProperty("床号或者门牌号")
    private String bedNumber;


    @ApiModelProperty("安全级别： 1 ：一级 2：二级 3: 三级")
    private String safeLevel;



    @ApiModelProperty("状态：  0：未联系  1已联系 ")
    private Integer status;

    @ApiModelProperty("老人联系状态描述")
    private String statusDesc;

    @ApiModelProperty("年龄")
    private Integer age;

    public Integer getAge(){
        if (this.getBirthday() != null){
            return DateUtil.ageOfNow(this.getBirthday());
        }else{
            return null;
        }
    }

}
