package com.care.common.vo.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: lilt
 * @Date: 2021/6/7
 * @Desc:
 */
@Data
public class DeviceVO {

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID")
    private Long stationId;

    private String stationName;


    @ApiModelProperty("房屋ID")
    private Long houseId;
    private String houseAddr;


    @ApiModelProperty("设备名称")
    private String devName;


    @ApiModelProperty("设备编码")
    private String devCode;


    @ApiModelProperty("设备类别： 1：室内 2：户外")
    private String devType;


    @ApiModelProperty("状态：1在线；2：离线")
    private String status;

    private String statusName;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;


    @ApiModelProperty("createTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date modifyTime;


    @ApiModelProperty("呼吸频率")
    private Integer breathRate;


    @ApiModelProperty("心跳频率")
    private Integer heartRate;


    @ApiModelProperty("设备mqtt消息topic")
    private String topic;


    @ApiModelProperty("设备mqtt消息客户端ID")
    private String clientId;

    public Long getDevId(){
        return this.id;
    }
}
